Subject: Re: 2.6.12-rc5-mm2: "bic unavailable using TCP reno" messages

From: Baruch Even <[email-masked]>
Date: Thu, 02 Jun 2005 14:58:17 +0100

Adrian Bunk wrote:
> On Wed, Jun 01, 2005 at 02:28:24AM -0700, Andrew Morton wrote:
> 
>>...
>>Changes since 2.6.12-rc5-mm1:
>>...
>>+tcp-tcp_infra.patch
>>...
>> Steve Hemminger's TCP enhancements.
>>...
> 
> 
> I said "no" to CONFIG_TCP_CONG_BIC, and now my syslog is full of messages
>    kernel: bic unavailable using TCP reno
> 
> I have no problem with such a message being shown once - but once should 
> be enough.  

The best solution for this would be to check the available protocols at
setup time and not at connection creation time. This would also provide
a better feedback to the user, since he will either see that what he set
was taken, or it wasn't.

In the current mechanism you can set the protocol to 'foo' and it will
show back as 'foo'. You'll get complaints only once a connection is
attempted with this protocol.

It does mean some extra work in the sysctl stage, but it's better IMO to
do it there rather than at connection setup time.

Baruch